package com.rehome.mqttclienttemperature.service;

import com.rehome.mqttclienttemperature.entity.Temperature;
import com.rehome.mqttclienttemperature.entity.WebServiceCity;
import com.rehome.mqttclienttemperature.entity.WebServiceProvince;
import com.rehome.mqttclienttemperature.entity.WebServiceWeatherInfo;

import java.util.List;

public interface WebServiceWeatherService {
    //省份
    void saveWebServiceProvince(WebServiceProvince webServiceProvince);
    WebServiceProvince findProvinceByProvinceName(String provinceName);
    //城市
    void saveWebServiceCity(WebServiceCity webServiceCity);
    WebServiceCity findByCityName(String cityName);
    WebServiceCity findByCode(String code);
    List<WebServiceCity> findAllCity();

    //实况天气
    void saveWebServiceWeatherInfo(WebServiceWeatherInfo webServiceWeatherInfo);
    List<WebServiceWeatherInfo> findByCreateDateAndCityCode(String createDate, String cityCode);
    List<WebServiceWeatherInfo> findByCreateDateAndCityName(String createDate, String cityName);


}
